import { _ as l, __tla as __tla_0 } from "./CustomCard.vue_vue_type_script_setup_true_lang-374ERk20.js";
import { _ as f } from "./CustomTable.vue_vue_type_script_setup_true_lang-CVzOsXR0.js";
import { c as u } from "./columns-1dSLzo5A.js";
import { q as h } from "./workbench-DEgqNpqd.js";
import { d, r as i, ay as _, ac as m, c as b, o as g, w as k, j as C, l as o, __tla as __tla_1 } from "./index-9PRMimni.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
import "./index-DatBjkM3.js";
import "./dateUtil-BtafrT1f.js";
import "./format-DgF6KtHk.js";
import "./helper-D9DF1oLX.js";
import "./find-D_h_aJYR.js";
import "./findIndex-BgUIH3i1.js";
import "./toInteger-DQeH-nF-.js";
import "./includes-DdMWPj0t.js";
let rt;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    rt = d({
        __name: "ShippingRiskWarningList",
        props: {
            componentItem: {},
            isEditable: {
                type: Boolean
            },
            searchParams: {},
            refreshComponent: {
                type: Boolean
            }
        },
        setup (p) {
            const s = p, e = i(), r = i({
                beforeDay: 7
            }), { shippingRiskWarningListColumns: n } = u();
            _(()=>s.refreshComponent, (t)=>{
                m(()=>{
                    t && a(!0);
                });
            }, {
                immediate: !0
            });
            function c(t) {
                r.value = t, a(!0);
            }
            function a(t) {
                m(()=>{
                    e.value?.handleGetData(t);
                });
            }
            return (t, R)=>(g(), b(l, {
                    componentItem: t.componentItem,
                    cardParams: o(r),
                    "show-transition": !1,
                    "show-all": !1,
                    onFilter: c
                }, {
                    default: k(()=>[
                            C(f, {
                                ref_key: "basicTableRef",
                                ref: e,
                                columns: o(n),
                                request: o(h),
                                params: {
                                    ...t.searchParams || {},
                                    ...o(r) || {}
                                }
                            }, null, 8, [
                                "columns",
                                "request",
                                "params"
                            ])
                        ]),
                    _: 1
                }, 8, [
                    "componentItem",
                    "cardParams"
                ]));
        }
    });
});
export { rt as default, __tla };
